diff test.sh @ 0:a38447a59412 draft

planemo upload for repository https://github.com/bardin-lab/readtagger/tree/master/galaxy commit d63500891dc173a7657bb9a9aabbeb6cf2ddb9e3-dirty
author mvdbeek
date Fri, 17 Feb 2017 10:54:47 -0500
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test.sh	Fri Feb 17 10:54:47 2017 -0500
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+
+if grep -v 'python tag_reads.py' bam_tag_reads.xml
+then
+    sed -i.bak 's/tag_reads -t/python \$__tool_directory__\/tag_reads.py -t/g' bam_tag_reads.xml
+fi
+cp ../tag_reads/tag_reads.py .
+planemo test --conda_prefix ~/miniconda3